# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_SurfaceStyleSilhouette Class Reference

`#include <StepVisual_SurfaceStyleSilhouette.hxx>`

## Public Member Functions

Standard_EXPORT | StepVisual_SurfaceStyleSilhouette ()
| Returns a SurfaceStyleSilhouette .
virtual Standard_EXPORT void | Init (const Handle(StepVisual_CurveStyle)&aStyleOfSilhouette)
Standard_EXPORT void | SetStyleOfSilhouette (const Handle(StepVisual_CurveStyle)&aStyleOfSilhouette)
Standard_EXPORT Handle_StepVisual_CurveStyle | StyleOfSilhouette () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepVisual_CurveStyle | styleOfSilhouette

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_SurfaceStyleSilhouette::StepVisual_SurfaceStyleSilhouette | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_SurfaceStyleSilhouette::Handle | ( | Standard_Type |  | ) | const

virtual Standard_EXPORT void StepVisual_SurfaceStyleSilhouette::Init | ( | const Handle(StepVisual_CurveStyle)& | aStyleOfSilhouette | ) | `[virtual]`

Standard_EXPORT void StepVisual_SurfaceStyleSilhouette::SetStyleOfSilhouette | ( | const Handle(StepVisual_CurveStyle)& | aStyleOfSilhouette | ) |

Standard_EXPORT Handle_StepVisual_CurveStyle StepVisual_SurfaceStyleSilhouette::StyleOfSilhouette | ( |  | ) | const

## Field Documentation

Handle_StepVisual_CurveStyle StepVisual_SurfaceStyleSilhouette::styleOfSilhouette `[private]`

The documentation for this class was generated from the following file:

- StepVisual_SurfaceStyleSilhouette.hxx